//------------------------------------------------------------------------------
// <auto-generated>
//     Este código se generó a partir de una plantilla.
//
//     Los cambios manuales en este archivo pueden causar un comportamiento inesperado de la aplicación.
//     Los cambios manuales en este archivo se sobrescribirán si se regenera el código.
// </auto-generated>
//------------------------------------------------------------------------------

namespace saejReservaBackend
{
    using System;
    using System.Collections.Generic;
    
    public partial class tblSala
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public tblSala()
        {
            this.tblUsuarioSala = new HashSet<tblUsuarioSala>();
        }
    
        public string Id { get; set; }
        public string SalaTipoID { get; set; }
        public string SalaEstado { get; set; }
        public string SalaNombre { get; set; }
        public string SalaDescripcion { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<tblUsuarioSala> tblUsuarioSala { get; set; }
    }
}
